package cn.com.qmth.mps.bean;

import cn.com.qmth.mps.enums.ArbitrateMethod;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 双评导入参数
 * @Author: CaoZixuan
 * @Date: 2024-08-15
 */
public class DoubleMarkImportParam {

    @ApiModelProperty("仲裁方式")
    private ArbitrateMethod arbitrateMethod;

    @ApiModelProperty("双评比例")
    private Double doubleRate;

    @ApiModelProperty("仲裁值")
    private Double arbitrateThreshold;

    @ApiModelProperty("导入的行索引集合（校验分组阈值用）")
    private List<Integer> indexes;

    @ApiModelProperty("同分组试题分数总和（校验分组阈值用）")
    private Double totalScore;

    public DoubleMarkImportParam() {
    }

    public DoubleMarkImportParam(ArbitrateMethod arbitrateMethod, Double doubleRate, Double arbitrateThreshold,
            List<Integer> indexes, Double totalScore) {
        this.arbitrateMethod = arbitrateMethod;
        this.doubleRate = doubleRate;
        this.arbitrateThreshold = arbitrateThreshold;
        this.indexes = indexes;
        this.totalScore = totalScore;
    }

    public ArbitrateMethod getArbitrateMethod() {
        return arbitrateMethod;
    }

    public void setArbitrateMethod(ArbitrateMethod arbitrateMethod) {
        this.arbitrateMethod = arbitrateMethod;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public List<Integer> getIndexes() {
        return indexes;
    }

    public void setIndexes(List<Integer> indexes) {
        this.indexes = indexes;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }
}
