package cn.com.qmth.mps.exception;

import com.qmth.boot.core.exception.CodeNameException;

/**
 * 中断异常，捕获异常后不继续业务代码
 */
public class DisruptedException extends RuntimeException implements CodeNameException {

    /**
     * 
     */
    private static final long serialVersionUID = 8998356815982621954L;

    private Integer code;

    private String name;

    public DisruptedException(String message) {
        super(message);
    }

    public DisruptedException(String message, Throwable cause) {
        super(message, cause);
    }

    public DisruptedException(Integer code, String name, String message, Throwable cause) {
        super(message, cause);
        if (code == null || code >= 100 && code <= 999) {
            this.code = code;
            this.name = name;
        } else {
            throw new IllegalArgumentException("DisruptedException.code should between 100~999");
        }
    }

    public Integer getCode() {
        return this.code;
    }

    public String getName() {
        return this.name;
    }
}